package vn.azteam.tpf.service.dto;

import java.time.Instant;
import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBProductBlockDetailsReport entity.
 */
public class TBProductBlockDetailsReportDTO implements Serializable {

    private Long id;

    private String code;

    private Double productLevel1;

    private Double productLevel2;

    private Double productLevel3;

    private Double quantityImportLevel1;

    private Double quantityImportLevel2;

    private Double quantityImportLevel3;

    private Double quantityExportLevel1;

    private Double quantityExportLevel2;

    private Double quantityExportLevel3;

    private Double endProductLevel1;

    private Double endProductLevel2;

    private Double endProductLevel3;

    private Instant createDate;

    private Long tbProductBlockDetailsId;

    private Long tbCropId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Double getProductLevel1() {
        return productLevel1;
    }

    public void setProductLevel1(Double productLevel1) {
        this.productLevel1 = productLevel1;
    }

    public Double getProductLevel2() {
        return productLevel2;
    }

    public void setProductLevel2(Double productLevel2) {
        this.productLevel2 = productLevel2;
    }

    public Double getProductLevel3() {
        return productLevel3;
    }

    public void setProductLevel3(Double productLevel3) {
        this.productLevel3 = productLevel3;
    }

    public Instant getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Instant createDate) {
        this.createDate = createDate;
    }

    public Long getTbProductBlockDetailsId() {
        return tbProductBlockDetailsId;
    }

    public void setTbProductBlockDetailsId(Long tBProductBlockDetailsId) {
        this.tbProductBlockDetailsId = tBProductBlockDetailsId;
    }

    public Long getTbCropId() {
        return tbCropId;
    }

    public void setTbCropId(Long tBCropId) {
        this.tbCropId = tBCropId;
    }

    public Double getQuantityImportLevel1() {
        return quantityImportLevel1;
    }

    public void setQuantityImportLevel1(Double quantityImportLevel1) {
        this.quantityImportLevel1 = quantityImportLevel1;
    }

    public Double getQuantityImportLevel2() {
        return quantityImportLevel2;
    }

    public void setQuantityImportLevel2(Double quantityImportLevel2) {
        this.quantityImportLevel2 = quantityImportLevel2;
    }

    public Double getQuantityImportLevel3() {
        return quantityImportLevel3;
    }

    public void setQuantityImportLevel3(Double quantityImportLevel3) {
        this.quantityImportLevel3 = quantityImportLevel3;
    }

    public Double getQuantityExportLevel1() {
        return quantityExportLevel1;
    }

    public void setQuantityExportLevel1(Double quantityExportLevel1) {
        this.quantityExportLevel1 = quantityExportLevel1;
    }

    public Double getQuantityExportLevel2() {
        return quantityExportLevel2;
    }

    public void setQuantityExportLevel2(Double quantityExportLevel2) {
        this.quantityExportLevel2 = quantityExportLevel2;
    }

    public Double getQuantityExportLevel3() {
        return quantityExportLevel3;
    }

    public void setQuantityExportLevel3(Double quantityExportLevel3) {
        this.quantityExportLevel3 = quantityExportLevel3;
    }

    public Double getEndProductLevel1() {
        return endProductLevel1;
    }

    public void setEndProductLevel1(Double endProductLevel1) {
        this.endProductLevel1 = endProductLevel1;
    }

    public Double getEndProductLevel2() {
        return endProductLevel2;
    }

    public void setEndProductLevel2(Double endProductLevel2) {
        this.endProductLevel2 = endProductLevel2;
    }

    public Double getEndProductLevel3() {
        return endProductLevel3;
    }

    public void setEndProductLevel3(Double endProductLevel3) {
        this.endProductLevel3 = endProductLevel3;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBProductBlockDetailsReportDTO tBProductBlockDetailsReportDTO = (TBProductBlockDetailsReportDTO) o;
        if (tBProductBlockDetailsReportDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBProductBlockDetailsReportDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBProductBlockDetailsReportDTO{" +
            "id=" + getId() +
            ", code='" + getCode() + "'" +
            ", productLevel1=" + getProductLevel1() +
            ", productLevel2=" + getProductLevel2() +
            ", productLevel3=" + getProductLevel3() +
            ", createDate='" + getCreateDate() + "'" +
            ", tbProductBlockDetails=" + getTbProductBlockDetailsId() +
            ", tbCrop=" + getTbCropId() +
            "}";
    }
}
